Last Comment Bug 598916 - Mac universal build fails unifying architectures after IPC/OOPP landing
: Mac universal build fails unifying architectures after IPC/OOPP landing
Status: VERIFIED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Mac OS X
: -- blocker (vote)
: seamonkey2.1b1
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: 563747
Blocks: SM-OOPP 594430
  Show dependency treegraph
 
Reported: 2010-09-23 05:56 PDT by Serge Gautherie (:sgautherie)
Modified: 2011-12-04 13:45 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
exclude messageWakeupService from packaging again (1.91 KB, patch)
2010-09-23 06:16 PDT, Robert Kaiser (not working on stability any more)
bugspam.Callek: review+
Details | Diff | Review
Remove remnant from removed-files (846 bytes, patch)
2010-09-23 08:13 PDT, Robert Kaiser (not working on stability any more)
bugspam.Callek: review+
Details | Diff | Review
Make PPC activate MOZ_IPC (just like mozilla-central does) (750 bytes, patch)
2010-09-23 09:19 PDT, Robert Kaiser (not working on stability any more)
bugspam.Callek: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2010-09-23 05:56:22 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1285209212.1285221502.27658.gz
OS X 10.5 comm-central-trunk build on 2010/09/22 19:33:32
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1285227000.1285234039.16040.gz
OS X 10.5 comm-central-trunk nightly on 2010/09/23 00:30:00
{
/builds/slave/comm-central-trunk-macosx-nightly/build/mozilla/build/macosx/universal/unify: copyIfIdenticalWhenSorted: files differ:
  objdir/ppc/mozilla/dist/seamonkey/SeaMonkey.app/Contents/MacOS/components/components.manifest,
  objdir/i386/mozilla/dist/seamonkey/SeaMonkey.app/Contents/MacOS/components/components.manifest
make[1]: *** [postflight_all] Error 1
}
Comment 1 Robert Kaiser (not working on stability any more) 2010-09-23 06:03:35 PDT
I'm looking into this, no need to mark anything as a release blocker that makes builds fail anyhow.
Comment 2 Robert Kaiser (not working on stability any more) 2010-09-23 06:06:47 PDT
The diff is this:

-# messageWakeupService.manifest
-component {f9798742-4f7b-4188-86ba-48b116412b29} messageWakeupService.js
-contract @mozilla.org/content/messagewakeupservice;1 {f9798742-4f7b-4188-86ba-48b116412b29}
-category profile-after-change messageWakeupService @mozilla.org/content/messagewakeupservice;1
-
-

As PPC doesn't have IPC but x86 does, we need to see that both include this, no matter what, and just let it fail at loading time for PPC.
Comment 3 Robert Kaiser (not working on stability any more) 2010-09-23 06:08:51 PDT
Actually, Firefox doesn't have this in its packaging and therefore doesn't include it for anyone yet, we might actually want to do the same.
Comment 4 Robert Kaiser (not working on stability any more) 2010-09-23 06:16:32 PDT
Created attachment 477912 [details] [diff] [review]
exclude messageWakeupService from packaging again

This should do it. I'm leaving this in as a commented block in the package manifest, as it will appear in package-compare, but this is only used for communication to content processes, and we don't have those yet anyhow, so we can just leave it out in packaging.
It doesn't harm not to remove it, as it will be removed from the manifest anyhow, and we won't support downgrading to non-IPC builds anyhow, so I'm removing it from removed-files completely.
Comment 5 Robert Kaiser (not working on stability any more) 2010-09-23 07:14:34 PDT
Pushed as http://hg.mozilla.org/comm-central/rev/d73e09120944 - this should be fixed.
Comment 6 Serge Gautherie (:sgautherie) 2010-09-23 08:00:56 PDT
Hum, new error:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1285251672.1285252766.5926.gz
OS X 10.5 comm-central-trunk build on 2010/09/23 07:21:12
{
/builds/slave/comm-central-trunk-macosx/build/mozilla/build/macosx/universal/unify: copyIfIdentical: files differ:
  objdir/ppc/mozilla/dist/seamonkey/SeaMonkey.app/Contents/MacOS/removed-files,
  objdir/i386/mozilla/dist/seamonkey/SeaMonkey.app/Contents/MacOS/removed-files
make[1]: *** [postflight_all] Error 1
}
Comment 7 Robert Kaiser (not working on stability any more) 2010-09-23 08:10:58 PDT
Yes, removed-files isn't IPC-free, need to fix that. It even removes a file we never shipped. Go figure. ;-)
Comment 8 Robert Kaiser (not working on stability any more) 2010-09-23 08:13:12 PDT
Created attachment 477934 [details] [diff] [review]
Remove remnant from removed-files

This one fixes the diff of removed-files. We never shipped mozilla-runtime anyhow, and we don't support downgrading to non-IPC packages on trunk anyhow.
Comment 9 Robert Kaiser (not working on stability any more) 2010-09-23 08:27:58 PDT
Pushed the second patch as http://hg.mozilla.org/comm-central/rev/6644f7111552 - I hope it's really fixed now.
Comment 10 Robert Kaiser (not working on stability any more) 2010-09-23 09:16:35 PDT
reopening again, now it errors out on having plugin-container.app only on i386 - and in the end, we need it to just activate MOZ_IPC.
Comment 11 Robert Kaiser (not working on stability any more) 2010-09-23 09:19:36 PDT
Created attachment 477956 [details] [diff] [review]
Make PPC activate MOZ_IPC (just like mozilla-central does)

It looks like we just don't have to force MOZ_IPC off on PPC. This matches the mozilla-central configure.in.
Comment 12 Robert Kaiser (not working on stability any more) 2010-09-23 09:36:34 PDT
http://hg.mozilla.org/comm-central/rev/69fa25b390db - and I hope that really closes this once and for all now!
Comment 13 Serge Gautherie (:sgautherie) 2010-09-24 06:59:40 PDT
V.Fixed, as we now (after some more reds) have green builds.

Note You need to log in before you can comment on or make changes to this bug.